html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    color: #FFFFFF;
    max-width: 1440px;
}

/* ================ Navigation ================ */
.navbar-container {
    position: fixed;
    display: grid;
    width: 1440px;
    height: 70px;
    grid-template-columns:392px repeat(7, 150px);
    text-align: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 10;
}

.nav-items-about {
    grid-area: 1 / 5 / 2 / 7; 
    width: 67px;
    height: 20px;
    font-family: "Open Sans";
    font-size: 12px;
    font-weight: 700;
    line-height: 16px;
    text-align: right;
    color: #FFFFFF;
    text-decoration: none;
}

.nav-items {
    width: 67px;
    height: 20px;
    font-family: "Open Sans";
    font-size: 12px;
    font-weight: 700;
    line-height: 16px;
    text-align: right;
    color: #FFFFFF;
    text-decoration: none;
}

a:hover {
    color: #FFB548;
}

.header-name {
    width: 77px;
    height: 33px;
    margin-left: 107px;
    color: #FFFFFF;
    font-family: "Open Sans";
    font-size: 24px;
    font-weight: 700;
    line-height: 33px;
    letter-spacing: 0.1em;
    text-align: left;   
}

/* ================ Section 1 ================ */
.section-1 {
    width: 1440px;
    height: 900px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
      url("./Assets/main-bg.jpg");  
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding-top: 50px;
}

.title-s1 {
    font-family: Arial;
    font-size: 72px;
    font-weight: 700;
    line-height: 83px;
    letter-spacing: 3px;
    text-align: center;
    color: #FFFFFF;
}

.sub-s1 {
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    text-align: left;
    color: #FFFFFF;
}

.but-s1 {
    width: 260px;
    height: 59px;
    border-radius: 5px;
    background: linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
}

.but-s1:hover {
    background-color: #ffb548;
    color: #fff;
  }

.scroll-s1 {
    width: 68px;
    height: 24px;
    margin-top: 100px;
    font-family: "Open Sans";
    font-size: 15px;
    font-weight: 700;
    line-height: 22px;
    text-align: center;
    color: #FFFFFF;
    animation: up-down 1s ease-in-out infinite alternate-reverse both;
}

/* ================ Section 2 ================ */
.section-2 {
    width: 1440px;
    height: 960px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
      url("./Assets/the-games-bg.jpg");
      background-size: 100% 100%;
      display: grid;
      grid-template-columns: 40% 60%;
      justify-items: center;
}

.sub-s2 {
    margin-top: 150px;
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    text-align: left;
    color: #FFFFFF;
}

.title-s2 {
    font-family: Arial;
    font-size: 56px;
    font-weight: 400;
    line-height: 64px;
    letter-spacing: 3px;
    text-align: left;
    color: #FFFFFF;
}

.img-s2 {
    width: 700px;
}

.about-img {
    height: 470px;
    width: 700px;
    margin-top: 30%;
}

/* ================ Section 3 ================ */
.section-3 {
    width: 1440px;
    height: 960px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
      url("./Assets/man.png");
    background-size: 100% 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.sub-s3 {
    width: 262px;
    height: 27px;
    margin-top: 250px;
    margin-left: 800px;
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    text-align: left;
    color: #FFFFFF;
}

.title-s3 {
    width: 411px;
    height: 73px;
    margin-left: 800px;
    font-family: Arial;
    font-size: 56px;
    font-weight: 400;
    line-height: 64px;
    letter-spacing: 3px;
    text-align: left;
    color: #FFFFFF;
}

/* list game */
.list-s3 {
    display: flex;
    flex-direction: column;
    list-style: none;
    margin-left: 760px;
}

.items-s3 {
    display: flex;
    flex-direction: column;
    position: relative;
}

.items-title-line-s3::before {
    background-color: white;
    content: "";
    width: 15px;
    height: 15px;
    border-radius: 999px;
    margin-right: 12px;
}

.items-title-line-s3::after {
    content: "";
    width: 2px;
    height: 142px;
    color: white;
    background-color: white;
    position: absolute;
    left: 6px;
    top: 20px;
}

.items-title-s3::before {
    border: 2px solid white;
    content: "";
    width: 14px;
    height: 14px;
    border-radius: 999px;
    margin-right: 12px;
}

.items-title-s3,
.items-title-line-s3 {
    display: flex;
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    text-align: center;
    color: #ffb548;
}

.items-desc-s3 {
    font-size: 18px;
    font-weight: 400;
    padding-left: 30px;
    color: white;
    font-family: "Open Sans";
} 

/* ================ Section 4 ================ */
.section-4 {
    width: 1440px;
    height: 960px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
      url("./Assets/requirements.png");
     background-size: 100% 100%;
    display: flex;
    flex-direction: column;
}

.sub-s4 {
    margin-top: 100px;
    margin-left: 600px;
    font-family: Arial;
    font-size: 14px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 2px;
    color: #FFFFFF;
}

.title-s4 {
    margin-top: 50px;
    margin-left: 120px;
    font-family: Arial;
    font-size: 56px;
    font-weight: 400;
    line-height: 64px;
    letter-spacing: 3px;
    text-align: left;
    color: #FFFFFF;
}

.grid-s4 {
    display: grid; 
    grid-template-columns: repeat(2, 1fr); 
    grid-template-rows: repeat(3, 1fr); 
    width: 573px;
    height: 350px;
    margin-top: 50px;
    margin-left: 120px;
}

.grid-content {
    border-style: inset;
    border-color: #979797;
    padding: 20px;
}

.grid-content-5 {
    grid-area: 3 / 1 / 4 / 3; 
    border-style: inset;
    border-color: #979797;
    padding: 20px;
}

.grid-title {
    width: 261px;
    height: 27px;
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    color: #FFB548;
}

.grid-desc {
    font-family: "Open Sans";
    font-size: 18px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0px;
    color: #FFFFFF;
}

/* ================ Section 5 ================ */
.section-5 {
    width: 1440px;
    height: 800px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
      url("./Assets/the-games-bg.jpg");  
    background-size: 100% 100%;
    display: grid;
    grid-template-columns: 50% 50%;
    justify-items: center;
}

.s5-content {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: flex-start;
    justify-content: center;
}

.title-s5 {
    font-family: Arial;
    font-size: 56px;
    font-weight: 400;
    line-height: 64px;
    letter-spacing: 3px;
    text-align: left;
}

.sub-s5 {
    font-family: "Open Sans";
    font-size: 18px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0px;
    text-align: left;
}

.but-s5 {
    width: 260px;
    height: 70px;
    border-radius: 5px;
    background: linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    font-family: "Open Sans";
    font-size: 16px;
    font-weight: 700;
    line-height: 22px;
    text-align: center;
}

.but-s5:hover {
    background-color: #ffb548;
    color: #fff;
  }

/* testi card */
.testimonial-cards {
    display: flex;
    flex-direction: column;
    gap: 50px;
    border-radius: 8px;
    justify-content: center;
}  

.cards-item {
    width: 350px;
    height: fit-content;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    background-color: rgb(27,28,28);
    border-radius: 10px;

}

.cards-item-middle {
    width: 350px;
    height: fit-content;
    margin-left: -100px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 12px;
    background-color: rgb(27,28,28);
    border-radius: 10px;
}

.card-header {
  display: flex;
  gap: 50px;
  align-items: center;
  justify-content: space-evenly;
}

.card-img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    box-shadow: 5px 3px 0px 2px rgba(255, 181, 72, 1);
}

.card-name {
    font-family: Arial;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 2px;
    line-height: 27px;
    color: #ffb548;
}

.card-desc {
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    font-family: "Open Sans";
    color: rgba(255, 255, 255, 0.5);
}

.card-body {
    font-family: "Open Sans";
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    color: white;
}

.card-footer {
    font-family: "Open Sans";
    font-size: 14px;
    font-weight: 400;
    line-height: 19px;
    color: rgba(255, 255, 255, 0.6);
}

.card-twt {
    font-size: 20px;
}

/* ================ Section 6 ================ */
.section-6 {
    width: 1440px;
    height: 800px;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.3) 20%,
        rgba(0, 0, 0, 0.3) 80%,
        rgba(0, 0, 0, 1) 100%
      ),
    url("./Assets/newsletter.png");  
    background-size: 100% 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.sub-s6 {
    width: 261px;
    height: 27px;
    margin-top: 136px;
    margin-left: 675px;
    font-family: Arial;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 2px;
    text-align: left;
}

.title-s6 {
    width: 677px;
    height: 76px;
    margin-top: 50px;
    margin-left: 675px;
    font-family: Arial;
    font-size: 65px;
    font-weight: 400;
    line-height: 75px;
    letter-spacing: 3px;
    text-align: left;
}

.desc-s6 {
    width: 644px;
    height: 136px;
    margin-top: 100px;
    margin-left: 675px;
    font-family: "Open Sans";
    font-size: 18px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0px;
    text-align: left;
}

.subscribeWrapper {
    display: flex;
    flex-direction: row;
    gap: 20px;
  }
  
  .inputWrapper {
    margin-left: 675px;
    padding: 8px 16px 8px 16px;
    border-radius: 8px;
    width: 366px;
    display: flex;
    flex-direction: column;
    background-color: #1b1d1e;
  }
  
  .label {
    font-size: 12px;
    color: #8d8d8d;
  }
  
  input {
    background-color: transparent;
    border: none;
    color: #ffb548;
    font-size: 16px;
  }
  
  input::placeholder {
    color: #ffb548;
  }
  
  .inputButton {
    width: 260px;
    height: 60px;
    background: linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    font-family: "Open Sans";
    font-size: 16px;
    font-weight: 700;
    line-height: 22px;
    letter-spacing: 0px;
    text-align: center;
    color: black;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .inputButton:hover {
    background-color: #ffb548;
    color: #fff;
  }

/* ================ Footer ================ */
.footer {
    width: 1440px;
    height: 150px;
    background-color: black;
}

.f-content {
    display: grid;
    grid-template-columns: 1000px 400px;
}

.f-grid{
    position: relative;
    display: grid;
    grid-template-columns: repeat(5, 200px);
    margin-left: 80px;
    justify-items: center;
    align-items: center;
    color: #FFFFFF;
}

.footer-items {
    font-family: "Open Sans";
    font-size: 10px;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0.1em;
    text-align: right;
    color: #FFFFFF;
    text-decoration: none;
}

.fs-items {
    font-size: 20px;
    text-align: right;
    color: #FFFFFF;
    text-decoration: none;
}

.f-grid:hover, .f-socials:hover {
    color: #FFB548;
}

.f-socials {
    position: relative;
    display: grid;
    grid-template-columns: repeat(4, 50px);
    margin-left: 100px;
    justify-items: center;
    align-items: center;
    color: #FFFFFF;
}

.f-line {
    position: relative;
    width: 1197px;
    top: 30px;
    left: 120px;
    border-bottom: 0.87px solid #FFFFFF80;
}

.f-under {
    display: grid;
    grid-template-columns: 800px 600px;
}

.f-copyright {
    position: relative;
    top: 50px;
    left: 120px;
    opacity: 0.5px;
    font-family: "Open Sans";
    font-size: 14px;
    font-weight: 400;
    line-height: 19px;
    letter-spacing: 0px;
    text-align: left;
    color: #FFFFFF80;
}

.f-policy {
    position: relative;
    top: 50px;
    right: 90px;
    font-family: "Open Sans";
    font-size: 12px;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0.1em;
    text-align: right;
}

/* ================ Keyframe ================ */
@-webkit-keyframes up-down {
    0% {
      transform: translateY(8px);
    }
    100% {
      transform: translateY(-8px);
    }
}

@keyframes up-down {
    0% {
      transform: translateY(8px);
    }
    100% {
      transform: translateY(-8px);
    }
}
